123盘直接解析

GET
http://api.xuewutheme.com/api/drive/pan123

获取123云盘直链

接口概述

请求示例: http://api.xuewutheme.com/api/drive/pan123?url=https://www.123pan.com/s/oK3pjv-5ShnH.html&password=YUzm

获取123云盘直链

请求参数

参数名 类型 必填 描述
apikey string 整数 string

用户开通的apikey

url string 整数 string

123云盘链接

响应参数

成功响应

状态码: 200 OK
格式: json
参数名 类型 描述
code integer integer

返回的状态码

data object object

返回的数据/数据对象

msg string string

返回的消息

time string string

请求时间

data.drive_url string string

下载链接

data.password string string

提取密码

data.url string string

云盘地址

响应示例

JSON
{
    "code": 200,
    "data": {
        "drive_url": "https://download-cdn.cjjd19.com/123-49/d2d652f5/1630743-0/d2d652f55cd647c3993cbf19ab45f831/c-m27?v=5&t=1722678027&s=1722678027f2233ce52800ac0c89a2512786e1782d&r=GAPW1B&bzc=2&bzs=313832313331363732333a38313034393734323a3237353739383a30&filename=5c23d52f880511ebb6edd017c2d2eca2.jpg&x-mf-biz-cid=473148dc-be39-4eb9-8bed-27e3c4c3d1eb-6eaa77&cache_type=1",
        "password": "YUzm",
        "url": "https://www.123pan.com/b/api/share/get?2477327437=1722591620.0843556-4470868-2477327437&limit=100&next=0&orderBy=file_name&orderDirection=asc&shareKey=oK3pjv-5ShnH&SharePwd=YUzm&ParentFileId=0&Page=1&event=homeListFile&operateType=1"
    },
    "msg": "请求成功!",
    "time": "2024-08-02 17:40:20"
}

请求示例

cURL

Bash
curl -X GET \
  "https://api.example.com/v1/users/12345" \
  -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..." \
  -H "Content-Type: application/json"

Python

Python
import requests

url = "https://api.example.com/v1/users/12345"
headers = {
    "Authorization": "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "Content-Type": "application/json"
}

response = requests.get(url, headers=headers)
print(response.json())

JavaScript

JavaScript
const response = await fetch(
  'https://api.example.com/v1/users/12345',
  {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...',
      'Content-Type': 'application/json'
    }
  }
);

const data = await response.json();
console.log(data);

PHP

PHP
$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, "https://api.example.com/v1/users/12345");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");

$headers = array();
$headers[] = "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...";
$headers[] = "Content-Type: application/json";
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

$result = curl_exec($ch);
echo $result;

curl_close($ch);

错误码

状态码 描述
100 您的apikey值为空!
101 您的apikey值不存在!
103 当前接口为实名认证后可用,请您先进行实名!
104 请求频率超限!
105 接口不存在或已下线!
106 您的余额不足,请及时充值!
107 您当前的接口免费使用次数已用完,请明日再来!
109 您的账号已被封禁,不可使用任何接口!
110 接口维护中,请稍后再试!
111 请求参数不完整,请检查后再次访问!

错误响应示例

JSON
{
  "code": 1001,
  "message": "用户不存在",
  "data": null
}